package com.oguerreiro.resilient.domain;

import java.util.Random;
import java.util.UUID;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.concurrent.atomic.AtomicLong;

public class VariableClassTypeTestSamples {

    private static final Random random = new Random();
    private static final AtomicLong longCount = new AtomicLong(random.nextInt() + (2 * Integer.MAX_VALUE));
    private static final AtomicInteger intCount = new AtomicInteger(random.nextInt() + (2 * Short.MAX_VALUE));

    public static VariableClassType getVariableClassTypeSample1() {
        return new VariableClassType().id(1L).code("code1").name("name1").label("label1").version(1);
    }

    public static VariableClassType getVariableClassTypeSample2() {
        return new VariableClassType().id(2L).code("code2").name("name2").label("label2").version(2);
    }

    public static VariableClassType getVariableClassTypeRandomSampleGenerator() {
        return new VariableClassType()
            .id(longCount.incrementAndGet())
            .code(UUID.randomUUID().toString())
            .name(UUID.randomUUID().toString())
            .label(UUID.randomUUID().toString())
            .version(intCount.incrementAndGet());
    }
}
